diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-phy.h ns-3.44/src/wifi/model/wifi-phy.h
--- ns-3.43/src/wifi/model/wifi-phy.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-phy.h	2025-03-09 16:55:49.803372600 -0700
@@ -47,8 +47,8 @@
 class WifiMacHeader;
 
 /**
- * \brief 802.11 PHY layer model
- * \ingroup wifi
+ * @brief 802.11 PHY layer model
+ * @ingroup wifi
  *
  */
 class WifiPhy : public Object
@@ -56,8 +56,8 @@
   public:
     friend class PhyEntity;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -67,30 +67,30 @@
     /**
      * Return the WifiPhyStateHelper of this PHY
      *
-     * \return the WifiPhyStateHelper of this PHY
+     * @return the WifiPhyStateHelper of this PHY
      */
     Ptr<WifiPhyStateHelper> GetState() const;
 
     /**
-     * \param callback the callback to invoke
+     * @param callback the callback to invoke
      *        upon successful packet reception.
      */
     void SetReceiveOkCallback(RxOkCallback callback);
     /**
-     * \param callback the callback to invoke
+     * @param callback the callback to invoke
      *        upon erroneous packet reception.
      */
     void SetReceiveErrorCallback(RxErrorCallback callback);
 
     /**
-     * \param listener the new listener
+     * @param listener the new listener
      *
      * Add the input listener to the list of objects to be notified of
      * PHY-level events. The input listener is notified of CCA busy information.
      */
     void RegisterListener(const std::shared_ptr<WifiPhyListener>& listener);
     /**
-     * \param listener the listener to be unregistered
+     * @param listener the listener to be unregistered
      *
      * Remove the input listener from the list of objects to be notified of
      * PHY-level events.
@@ -98,25 +98,26 @@
     void UnregisterListener(const std::shared_ptr<WifiPhyListener>& listener);
 
     /**
-     * \param callback the callback to invoke when PHY capabilities have changed.
+     * @param callback the callback to invoke when PHY capabilities have changed.
      */
     void SetCapabilitiesChangedCallback(Callback<void> callback);
 
     /**
      * Start receiving the PHY preamble of a PPDU (i.e. the first bit of the preamble has arrived).
      *
-     * \param ppdu the arriving PPDU
-     * \param rxPowersW the receive power in W per band
-     * \param rxDuration the duration of the PPDU
+     * @param ppdu the arriving PPDU
+     * @param rxPowersW the receive power in W per band
+     * @param rxDuration the duration of the PPDU
      */
     void StartReceivePreamble(Ptr<const WifiPpdu> ppdu,
                               RxPowerWattPerChannelBand& rxPowersW,
                               Time rxDuration);
 
     /**
-     * \return whether the PHY is busy decoding the PHY header fields of a PPDU
+     * @return if the PHY is busy decoding the PHY header fields of a PPDU, return the TXVECTOR
+     *         used to transmit the PPDU; otherwise, return a null optional value
      */
-    bool IsReceivingPhyHeader() const;
+    std::optional<std::reference_wrapper<const WifiTxVector>> GetInfoIfRxingPhyHeader() const;
 
     /**
      * For HE receptions only, check and possibly modify the transmit power restriction state at
@@ -129,9 +130,9 @@
      * The STA-ID value is properly determined based on whether the given PSDU has
      * to be transmitted as a DL or UL frame.
      *
-     * \param psdu the given PSDU
-     * \param txVector the TXVECTOR to use to send the PSDU
-     * \return a WifiConstPsduMap built from the given PSDU and the given TXVECTOR
+     * @param psdu the given PSDU
+     * @param txVector the TXVECTOR to use to send the PSDU
+     * @return a WifiConstPsduMap built from the given PSDU and the given TXVECTOR
      */
     static WifiConstPsduMap GetWifiConstPsduMap(Ptr<const WifiPsdu> psdu,
                                                 const WifiTxVector& txVector);
@@ -142,16 +143,16 @@
      * along with a STA-ID value that is determined based on whether the given PSDU has
      * to be transmitted as a DL or UL frame.
      *
-     * \param psdu the PSDU to send (in a SU PPDU)
-     * \param txVector the TXVECTOR that has TX parameters such as mode, the transmission mode to
+     * @param psdu the PSDU to send (in a SU PPDU)
+     * @param txVector the TXVECTOR that has TX parameters such as mode, the transmission mode to
      * use to send this PSDU, and txPowerLevel, a power level to use to send the whole PPDU. The
      * real transmission power is calculated as txPowerMin + txPowerLevel * (txPowerMax -
      * txPowerMin) / nTxLevels
      */
     void Send(Ptr<const WifiPsdu> psdu, const WifiTxVector& txVector);
     /**
-     * \param psdus the PSDUs to send
-     * \param txVector the TXVECTOR that has tx parameters such as mode, the transmission mode to
+     * @param psdus the PSDUs to send
+     * @param txVector the TXVECTOR that has tx parameters such as mode, the transmission mode to
      * use to send this PSDU, and txPowerLevel, a power level to use to send the whole PPDU. The
      * real transmission power is calculated as txPowerMin + txPowerLevel * (txPowerMax -
      * txPowerMin) / nTxLevels
@@ -159,14 +160,16 @@
     void Send(const WifiConstPsduMap& psdus, const WifiTxVector& txVector);
 
     /**
-     * \param ppdu the PPDU to send
+     * @param ppdu the PPDU to send
      */
     virtual void StartTx(Ptr<const WifiPpdu> ppdu) = 0;
 
     /**
      * Put in sleep mode.
+     *
+     * @param forceSleepWhileInRx force setting sleep mode if state is RX
      */
-    void SetSleepMode();
+    void SetSleepMode(bool forceSleepWhileInRx = false);
     /**
      * Resume from sleep mode.
      */
@@ -181,36 +184,36 @@
     void ResumeFromOff();
 
     /**
-     * \return true of the current state of the PHY layer is WifiPhy::IDLE, false otherwise.
+     * @return true of the current state of the PHY layer is WifiPhy::IDLE, false otherwise.
      */
     bool IsStateIdle() const;
     /**
-     * \return true of the current state of the PHY layer is WifiPhy::CCA_BUSY, false otherwise.
+     * @return true of the current state of the PHY layer is WifiPhy::CCA_BUSY, false otherwise.
      */
     bool IsStateCcaBusy() const;
     /**
-     * \return true of the current state of the PHY layer is WifiPhy::RX, false otherwise.
+     * @return true of the current state of the PHY layer is WifiPhy::RX, false otherwise.
      */
     bool IsStateRx() const;
     /**
-     * \return true of the current state of the PHY layer is WifiPhy::TX, false otherwise.
+     * @return true of the current state of the PHY layer is WifiPhy::TX, false otherwise.
      */
     bool IsStateTx() const;
     /**
-     * \return true of the current state of the PHY layer is WifiPhy::SWITCHING, false otherwise.
+     * @return true of the current state of the PHY layer is WifiPhy::SWITCHING, false otherwise.
      */
     bool IsStateSwitching() const;
     /**
-     * \return true if the current state of the PHY layer is WifiPhy::SLEEP, false otherwise.
+     * @return true if the current state of the PHY layer is WifiPhy::SLEEP, false otherwise.
      */
     bool IsStateSleep() const;
     /**
-     * \return true if the current state of the PHY layer is WifiPhy::OFF, false otherwise.
+     * @return true if the current state of the PHY layer is WifiPhy::OFF, false otherwise.
      */
     bool IsStateOff() const;
 
     /**
-     * \return the predicted delay until this PHY can become WifiPhy::IDLE.
+     * @return the predicted delay until this PHY can become WifiPhy::IDLE.
      *
      * The PHY will never become WifiPhy::IDLE _before_ the delay returned by
      * this method but it could become really idle later.
@@ -220,23 +223,23 @@
     /**
      * Return the start time of the last received packet.
      *
-     * \return the start time of the last received packet
+     * @return the start time of the last received packet
      */
     Time GetLastRxStartTime() const;
     /**
      * Return the end time of the last received packet.
      *
-     * \return the end time of the last received packet
+     * @return the end time of the last received packet
      */
     Time GetLastRxEndTime() const;
 
     /**
-     * \param size the number of bytes in the packet to send
-     * \param txVector the TXVECTOR used for the transmission of this packet
-     * \param band the frequency band being used
-     * \param staId the STA-ID of the recipient (only used for MU)
+     * @param size the number of bytes in the packet to send
+     * @param txVector the TXVECTOR used for the transmission of this packet
+     * @param band the frequency band being used
+     * @param staId the STA-ID of the recipient (only used for MU)
      *
-     * \return the total amount of time this PHY will stay busy for the transmission of these bytes.
+     * @return the total amount of time this PHY will stay busy for the transmission of these bytes.
      */
     static Time CalculateTxDuration(uint32_t size,
                                     const WifiTxVector& txVector,
@@ -250,46 +253,46 @@
      * properly calculate the TX duration in case the PSDU has to be transmitted as
      * an UL frame.
      *
-     * \param psdu the PSDU to transmit
-     * \param txVector the TXVECTOR used for the transmission of the PSDU
-     * \param band the frequency band
+     * @param psdu the PSDU to transmit
+     * @param txVector the TXVECTOR used for the transmission of the PSDU
+     * @param band the frequency band
      *
-     * \return the total amount of time this PHY will stay busy for the transmission of the PPDU
+     * @return the total amount of time this PHY will stay busy for the transmission of the PPDU
      */
     static Time CalculateTxDuration(Ptr<const WifiPsdu> psdu,
                                     const WifiTxVector& txVector,
                                     WifiPhyBand band);
     /**
-     * \param psduMap the PSDU(s) to transmit indexed by STA-ID
-     * \param txVector the TXVECTOR used for the transmission of the PPDU
-     * \param band the frequency band being used
+     * @param psduMap the PSDU(s) to transmit indexed by STA-ID
+     * @param txVector the TXVECTOR used for the transmission of the PPDU
+     * @param band the frequency band being used
      *
-     * \return the total amount of time this PHY will stay busy for the transmission of the PPDU
+     * @return the total amount of time this PHY will stay busy for the transmission of the PPDU
      */
     static Time CalculateTxDuration(const WifiConstPsduMap& psduMap,
                                     const WifiTxVector& txVector,
                                     WifiPhyBand band);
 
     /**
-     * \param txVector the transmission parameters used for this packet
+     * @param txVector the transmission parameters used for this packet
      *
-     * \return the total amount of time this PHY will stay busy for the transmission of the PHY
+     * @return the total amount of time this PHY will stay busy for the transmission of the PHY
      * preamble and PHY header.
      */
     static Time CalculatePhyPreambleAndHeaderDuration(const WifiTxVector& txVector);
     /**
-     * \return the preamble detection duration, which is the time correlation needs to detect the
+     * @return the preamble detection duration, which is the time correlation needs to detect the
      * start of an incoming frame.
      */
     static Time GetPreambleDetectionDuration();
     /**
-     * \param size the number of bytes in the packet to send
-     * \param txVector the TXVECTOR used for the transmission of this packet
-     * \param band the frequency band
-     * \param mpdutype the type of the MPDU as defined in WifiPhy::MpduType.
-     * \param staId the STA-ID of the PSDU (only used for MU PPDUs)
+     * @param size the number of bytes in the packet to send
+     * @param txVector the TXVECTOR used for the transmission of this packet
+     * @param band the frequency band
+     * @param mpdutype the type of the MPDU as defined in WifiPhy::MpduType.
+     * @param staId the STA-ID of the PSDU (only used for MU PPDUs)
      *
-     * \return the duration of the PSDU
+     * @return the duration of the PSDU
      */
     static Time GetPayloadDuration(uint32_t size,
                                    const WifiTxVector& txVector,
@@ -297,21 +300,21 @@
                                    MpduType mpdutype = NORMAL_MPDU,
                                    uint16_t staId = SU_STA_ID);
     /**
-     * \param size the number of bytes in the packet to send
-     * \param txVector the TXVECTOR used for the transmission of this packet
-     * \param band the frequency band
-     * \param mpdutype the type of the MPDU as defined in WifiPhy::MpduType.
-     * \param incFlag this flag is used to indicate that the variables need to be update or not
+     * @param size the number of bytes in the packet to send
+     * @param txVector the TXVECTOR used for the transmission of this packet
+     * @param band the frequency band
+     * @param mpdutype the type of the MPDU as defined in WifiPhy::MpduType.
+     * @param incFlag this flag is used to indicate that the variables need to be update or not
      * This function is called a couple of times for the same packet so variables should not be
      * increased each time.
-     * \param totalAmpduSize the total size of the previously transmitted MPDUs for the concerned
+     * @param totalAmpduSize the total size of the previously transmitted MPDUs for the concerned
      * A-MPDU. If incFlag is set, this parameter will be updated.
-     * \param totalAmpduNumSymbols the number of symbols previously transmitted for the MPDUs in the
+     * @param totalAmpduNumSymbols the number of symbols previously transmitted for the MPDUs in the
      * concerned A-MPDU, used for the computation of the number of symbols needed for the last MPDU.
      * If incFlag is set, this parameter will be updated.
-     * \param staId the STA-ID of the PSDU (only used for MU PPDUs)
+     * @param staId the STA-ID of the PSDU (only used for MU PPDUs)
      *
-     * \return the duration of the PSDU
+     * @return the duration of the PSDU
      */
     static Time GetPayloadDuration(uint32_t size,
                                    const WifiTxVector& txVector,
@@ -322,9 +325,9 @@
                                    double& totalAmpduNumSymbols,
                                    uint16_t staId);
     /**
-     * \param txVector the transmission parameters used for this packet
+     * @param txVector the transmission parameters used for this packet
      *
-     * \return the duration until the start of the packet
+     * @return the duration until the start of the packet
      */
     static Time GetStartOfPacketDuration(const WifiTxVector& txVector);
 
@@ -340,25 +343,25 @@
      * WifiRemoteStationManager), which itself is a superset (again, not
      * necessarily proper) of the BSSBasicRateSet.
      *
-     * \return the list of supported (non-MCS) modes.
+     * @return the list of supported (non-MCS) modes.
      */
     std::list<WifiMode> GetModeList() const;
     /**
      * Get the list of supported (non-MCS) modes for the given modulation class (i.e.
      * corresponding to a given PHY entity).
      *
-     * \param modulation the modulation class
-     * \return the list of supported (non-MCS) modes for the given modulation class.
+     * @param modulation the modulation class
+     * @return the list of supported (non-MCS) modes for the given modulation class.
      *
-     * \see GetModeList ()
+     * @see GetModeList ()
      */
     std::list<WifiMode> GetModeList(WifiModulationClass modulation) const;
     /**
      * Check if the given WifiMode is supported by the PHY.
      *
-     * \param mode the wifi mode to check
+     * @param mode the wifi mode to check
      *
-     * \return true if the given mode is supported,
+     * @return true if the given mode is supported,
      *         false otherwise
      */
     bool IsModeSupported(WifiMode mode) const;
@@ -367,25 +370,25 @@
      * This is the first mode to be added (i.e. the lowest one
      * over all supported PHY entities).
      *
-     * \return the default WifiMode
+     * @return the default WifiMode
      */
     WifiMode GetDefaultMode() const;
     /**
      * Check if the given MCS of the given modulation class is supported by the PHY.
      *
-     * \param modulation the modulation class
-     * \param mcs the MCS value
+     * @param modulation the modulation class
+     * @param mcs the MCS value
      *
-     * \return true if the given mode is supported,
+     * @return true if the given mode is supported,
      *         false otherwise
      */
     bool IsMcsSupported(WifiModulationClass modulation, uint8_t mcs) const;
 
     /**
-     * \param txVector the transmission vector
-     * \param ber the probability of bit error rate
+     * @param txVector the transmission vector
+     * @param ber the probability of bit error rate
      *
-     * \return the minimum SNR which is required to achieve
+     * @return the minimum SNR which is required to achieve
      *          the requested BER for the specified transmission vector. (W/W)
      */
     double CalculateSnr(const WifiTxVector& txVector, double ber) const;
@@ -393,57 +396,57 @@
     /**
      * Set the Short Interframe Space (SIFS) for this PHY.
      *
-     * \param sifs the SIFS duration
+     * @param sifs the SIFS duration
      */
     void SetSifs(Time sifs);
     /**
      * Return the Short Interframe Space (SIFS) for this PHY.
      *
-     * \return the SIFS duration
+     * @return the SIFS duration
      */
     Time GetSifs() const;
     /**
      * Set the slot duration for this PHY.
      *
-     * \param slot the slot duration
+     * @param slot the slot duration
      */
     void SetSlot(Time slot);
     /**
      * Return the slot duration for this PHY.
      *
-     * \return the slot duration
+     * @return the slot duration
      */
     Time GetSlot() const;
     /**
      * Set the PCF Interframe Space (PIFS) for this PHY.
      *
-     * \param pifs the PIFS duration
+     * @param pifs the PIFS duration
      */
     void SetPifs(Time pifs);
     /**
      * Return the PCF Interframe Space (PIFS) for this PHY.
      *
-     * \return the PIFS duration
+     * @return the PIFS duration
      */
     Time GetPifs() const;
     /**
      * Return the estimated Ack TX time for this PHY.
      *
-     * \return the estimated Ack TX time
+     * @return the estimated Ack TX time
      */
     Time GetAckTxTime() const;
     /**
      * Return the estimated BlockAck TX time for this PHY.
      *
-     * \return the estimated BlockAck TX time
+     * @return the estimated BlockAck TX time
      */
     Time GetBlockAckTxTime() const;
 
     /**
      * Get the maximum PSDU size in bytes for the given modulation class.
      *
-     * \param modulation the modulation class
-     * \return the maximum PSDU size in bytes for the given modulation class
+     * @param modulation the modulation class
+     * @return the maximum PSDU size in bytes for the given modulation class
      */
     static uint32_t GetMaxPsduSize(WifiModulationClass modulation);
 
@@ -455,13 +458,13 @@
      * BssMembershipSelectorSet, and which is stored inside HT PHY (and above)
      * instances.
      *
-     * \return the list of BSS membership selectors.
+     * @return the list of BSS membership selectors.
      */
     std::list<uint8_t> GetBssMembershipSelectorList() const;
     /**
-     * \return the number of supported MCSs.
+     * @return the number of supported MCSs.
      *
-     * \see GetMcsList ()
+     * @see GetMcsList ()
      */
     uint16_t GetNMcs() const;
     /**
@@ -470,27 +473,27 @@
      * transmission/reception MCS indices that this WifiPhy(-derived class)
      * can support - a set of MCS indices which is stored by each HT PHY (and above).
      *
-     * \return the list of supported MCSs.
+     * @return the list of supported MCSs.
      */
     std::list<WifiMode> GetMcsList() const;
     /**
      * Get the list of supported MCSs for the given modulation class (i.e.
      * corresponding to a given PHY entity).
      *
-     * \param modulation the modulation class
-     * \return the list of supported MCSs for the given modulation class.
+     * @param modulation the modulation class
+     * @return the list of supported MCSs for the given modulation class.
      *
-     * \see GetMcsList ()
+     * @see GetMcsList ()
      */
     std::list<WifiMode> GetMcsList(WifiModulationClass modulation) const;
     /**
      * Get the WifiMode object corresponding to the given MCS of the given
      * modulation class.
      *
-     * \param modulation the modulation class
-     * \param mcs the MCS value
+     * @param modulation the modulation class
+     * @param mcs the MCS value
      *
-     * \return the WifiMode object corresponding to the given MCS of the given
+     * @return the WifiMode object corresponding to the given MCS of the given
      *         modulation class
      */
     WifiMode GetMcs(WifiModulationClass modulation, uint8_t mcs) const;
@@ -498,11 +501,11 @@
     /**
      * Return current channel number.
      *
-     * \return the current channel number
+     * @return the current channel number
      */
     uint8_t GetChannelNumber() const;
     /**
-     * \return the required time for channel switch operation of this WifiPhy
+     * @return the required time for channel switch operation of this WifiPhy
      */
     Time GetChannelSwitchDelay() const;
 
@@ -511,7 +514,7 @@
      * Note that, in case a Spectrum PHY is used, this method must be called after adding
      * a spectrum channel covering the operating channel bandwidth.
      *
-     * \param standard the Wi-Fi standard
+     * @param standard the Wi-Fi standard
      */
     virtual void ConfigureStandard(WifiStandard standard);
 
@@ -520,40 +523,40 @@
      * The maximum modulation class supported will be the minimum between the given modulation
      * class and the maximum modulation class supported based on the configured standard.
      *
-     * \param modClass the given modulation class
+     * @param modClass the given modulation class
      */
     void SetMaxModulationClassSupported(WifiModulationClass modClass);
 
     /**
-     * \return the maximum modulation class that has to be supported by this PHY object.
+     * @return the maximum modulation class that has to be supported by this PHY object.
      */
     WifiModulationClass GetMaxModulationClassSupported() const;
 
     /**
      * Get the configured Wi-Fi standard
      *
-     * \return the Wi-Fi standard that has been configured
+     * @return the Wi-Fi standard that has been configured
      */
     WifiStandard GetStandard() const;
 
     /**
      * Get the configured Wi-Fi band
      *
-     * \return the Wi-Fi band that has been configured
+     * @return the Wi-Fi band that has been configured
      */
     WifiPhyBand GetPhyBand() const;
 
     /**
      * Get a const reference to the operating channel
      *
-     * \return a const reference to the operating channel
+     * @return a const reference to the operating channel
      */
     const WifiPhyOperatingChannel& GetOperatingChannel() const;
 
     /**
      * Return the Channel this WifiPhy is connected to.
      *
-     * \return the Channel this WifiPhy is connected to
+     * @return the Channel this WifiPhy is connected to
      */
     virtual Ptr<Channel> GetChannel() const = 0;
 
@@ -561,50 +564,50 @@
      * Public method used to fire a PhyTxBegin trace.
      * Implemented for encapsulation purposes.
      *
-     * \param psdus the PSDUs being transmitted (only one unless DL MU transmission)
-     * \param txPower the transmit power
+     * @param psdus the PSDUs being transmitted (only one unless DL MU transmission)
+     * @param txPower the transmit power
      */
     void NotifyTxBegin(const WifiConstPsduMap& psdus, Watt_u txPower);
     /**
      * Public method used to fire a PhyTxEnd trace.
      * Implemented for encapsulation purposes.
      *
-     * \param psdus the PSDUs being transmitted (only one unless DL MU transmission)
+     * @param psdus the PSDUs being transmitted (only one unless DL MU transmission)
      */
     void NotifyTxEnd(const WifiConstPsduMap& psdus);
     /**
      * Public method used to fire a PhyTxDrop trace.
      * Implemented for encapsulation purposes.
      *
-     * \param psdu the PSDU being transmitted
+     * @param psdu the PSDU being transmitted
      */
     void NotifyTxDrop(Ptr<const WifiPsdu> psdu);
     /**
      * Public method used to fire a PhyRxBegin trace.
      * Implemented for encapsulation purposes.
      *
-     * \param psdu the PSDU being transmitted
-     * \param rxPowersW the receive power per channel band in Watts
+     * @param psdu the PSDU being transmitted
+     * @param rxPowersW the receive power per channel band in Watts
      */
     void NotifyRxBegin(Ptr<const WifiPsdu> psdu, const RxPowerWattPerChannelBand& rxPowersW);
     /**
      * Public method used to fire a PhyRxEnd trace.
      * Implemented for encapsulation purposes.
      *
-     * \param psdu the PSDU being transmitted
+     * @param psdu the PSDU being transmitted
      */
     void NotifyRxEnd(Ptr<const WifiPsdu> psdu);
     /**
      * Public method used to fire a PhyRxDrop trace.
      * Implemented for encapsulation purposes.
      *
-     * \note This method is called also by NotifyRxPpduDrop and is left
+     * @note This method is called also by NotifyRxPpduDrop and is left
      * in the public API for backward compatibility reasons.  Do not
      * call both this method and the newer NotifyRxPpduDrop().  Instead,
      * call NotifyRxPpduDrop() and it will call this method also.
      *
-     * \param psdu the PSDU being transmitted
-     * \param reason the reason the packet was dropped
+     * @param psdu the PSDU being transmitted
+     * @param reason the reason the packet was dropped
      */
     void NotifyRxDrop(Ptr<const WifiPsdu> psdu, WifiPhyRxfailureReason reason);
 
@@ -613,8 +616,8 @@
      * Implemented for encapsulation purposes.  This method also
      * calls the PhyRxDrop trace.
      *
-     * \param ppdu the PSDU being transmitted
-     * \param reason the reason the packet was dropped
+     * @param ppdu the PSDU being transmitted
+     * @param reason the reason the packet was dropped
      */
     void NotifyRxPpduDrop(Ptr<const WifiPpdu> ppdu, WifiPhyRxfailureReason reason);
     /**
@@ -624,43 +627,43 @@
      * The A-MPDU reference number (RX side) is set within the method. It must be a different value
      * for each A-MPDU but the same for each subframe within one A-MPDU.
      *
-     * \param psdu the PSDU being received
-     * \param channelFreq the frequency at which the packet is received. Note that in real devices
+     * @param psdu the PSDU being received
+     * @param channelFreq the frequency at which the packet is received. Note that in real devices
      * this is normally the frequency to which the receiver is tuned, and this can be different than
      * the frequency at which the packet was originally transmitted. This is because it is possible
      * to have the receiver tuned on a given channel and still to be able to receive packets on a
      * nearby channel.
-     * \param txVector the TXVECTOR that holds RX parameters
-     * \param signalNoise signal power and noise power in dBm (noise power includes the noise
+     * @param txVector the TXVECTOR that holds RX parameters
+     * @param signalNoise signal power and noise power in dBm (noise power includes the noise
      * figure)
-     * \param statusPerMpdu reception status per MPDU
-     * \param staId the STA-ID
+     * @param statusPerMpdu reception status per MPDU
+     * @param staId the STA-ID
      */
     void NotifyMonitorSniffRx(Ptr<const WifiPsdu> psdu,
                               MHz_u channelFreq,
-                              WifiTxVector txVector,
+                              const WifiTxVector& txVector,
                               SignalNoiseDbm signalNoise,
-                              std::vector<bool> statusPerMpdu,
+                              const std::vector<bool>& statusPerMpdu,
                               uint16_t staId = SU_STA_ID);
 
     /**
      * TracedCallback signature for monitor mode receive events.
      *
      *
-     * \param packet the packet being received
-     * \param channelFreq the frequency at which the packet is received. Note that in real devices
+     * @param packet the packet being received
+     * @param channelFreq the frequency at which the packet is received. Note that in real devices
      * this is normally the frequency to which  the receiver is tuned, and this can be different
      * than the frequency at which the packet was originally transmitted. This is because it is
      * possible to have the receiver tuned on a given channel and still to be able to receive
      * packets on a nearby channel.
-     * \param txVector the TXVECTOR that holds RX parameters
-     * \param aMpdu the type of the packet (0 is not A-MPDU, 1 is a MPDU that is part of an A-MPDU
+     * @param txVector the TXVECTOR that holds RX parameters
+     * @param aMpdu the type of the packet (0 is not A-MPDU, 1 is a MPDU that is part of an A-MPDU
      * and 2 is the last MPDU in an A-MPDU) and the A-MPDU reference number (must be a different
      * value for each A-MPDU but the same for each subframe within one A-MPDU)
-     * \param signalNoise signal power and noise power in dBm
-     * \param staId the STA-ID
+     * @param signalNoise signal power and noise power in dBm
+     * @param staId the STA-ID
      *
-     * \todo WifiTxVector should be passed by const reference because of its size.
+     * @todo WifiTxVector should be passed by const reference because of its size.
      */
     typedef void (*MonitorSnifferRxCallback)(Ptr<const Packet> packet,
                                              uint16_t channelFreqMhz,
